Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.func
Class FunJava

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Arr
                  org.basex.query.func.FunJava

    public final class FunJava

extends Arr

Java function definition.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary

Fields inherited from class org.basex.query.expr.Arr
`expr`

Constructor Summary
`FunJava(java.lang.Class<?> c, java.lang.String m, Expr[] a)` Constructor.

Method Summary
`java.lang.String` | `info()` Returns a string description of the expression.
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`java.lang.String` | `toString()`
`static Type` | `type(java.lang.Object o)` Returns an appropriate XQuery data type for the specified Java object.

Methods inherited from class org.basex.query.expr.Arr
`comp, duplicates, indexEquivalent, removable, remove, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, e, ebv, i, indexAccessible, returned, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`color, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunJava

    public FunJava(java.lang.Class<?> c,
                   java.lang.String m,
                   Expr[] a)

  Constructor.

  Parameters:
    `c` - Java class
    `m` - Java method/field
    `a` - arguments

Method Detail

### iter

    public Iter iter(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - query exception

### type

    public static Type type(java.lang.Object o)

  Returns an appropriate XQuery data type for the specified Java object.

  Parameters:
    `o` - object
  Returns:
    xquery type

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `Arr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - I/O exception

### info

    public java.lang.String info()

  Description copied from class: `ExprInfo`
  Returns a string description of the expression. Contrary to the `ExprInfo.toString()` method, arguments are not included in the output.

  Overrides:
    `info` in class `ExprInfo`
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD